Bug 146027 - sysutils/coreutils: missing dependency on math/gmp
Summary: sysutils/coreutils: missing dependency on math/gmp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-24 23:40 UTC by Craig Leres
Modified: 2010-04-25 16:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2010-04-24 23:40:06 UTC
	If gmp is not installed when coreutils is built, all is
	well. But if gmp is installed, some binaries (e.g. gexpr)
	link against libgmp. If you later remove gmp, these programs
	fail.

Fix: Add a package dependency on gmp if it was installed when
	coreutils was built (see attached patch).


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkvTcpAACgkQWxlAhAje3JvItgCgghkzdfl2SEibiIGLvele1r4s
OcMAmwT28MiyE/wLLsZy5M+4DrDiCWuk
=5bfW
-----END PGP SIGNATURE-----

--------------090905040701020809000609
Content-Type: text/plain;
 name="Makefile.diff.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="Makefile.diff.txt"



--------------090905040701020809000609
Content-Type: application/octet-stream;
 name="Makefile.diff.txt.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="Makefile.diff.txt.sig"

iEYEABECAAYFAkvTcpQACgkQWxlAhAje3JtK5ACfSXlSajrh+NrYkG5xkrB3EAR6VFEAn2a0
Rg/umRnE6JYWidf1ZEF8ZDuE
--------------090905040701020809000609----b4q2YPxFJlfa6oaWyBmFQjnvKZdDknKL0R1Xhpf7TNvmHAyb
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile-	2009-09-16 04:26:06.000000000 -0700
+++ Makefile	2010-04-24 15:24:47.000000000 -0700
@@ -14,6 +14,13 @@
 MAINTAINER=	jharris@widomaker.com
 COMMENT=	The Free Software Foundation's core utilities
 
+# coreutils links against libgmp when present
+HAVE_LIBGMP!=	pkg_info -E gmp-* || true
+
+.if !empty(HAVE_LIBGMP)
+LIB_DEPENDS+=	libgmp:math/gmp
+.endif
+
 CONFLICTS=	id-utils-[0-9]* linux-gid-[0-9]*
 
 GNU_CONFIGURE=	yes
How-To-Repeat: 
    % pkg_info | egrep 'coreutil|gmp'
    coreutils-7.5       The Free Software Foundation's core utilities
    gmp-5.0.1           A free library for arbitrary precision arithmetic
    hot 19 % ldd /usr/local/bin/gexpr
    /usr/local/bin/gexpr:
	    libintl.so.8 => /usr/local/lib/libintl.so.8 (0x80064f000)
	    libgmp.so.10 => /usr/local/lib/libgmp.so.10 (0x800758000)
	    libc.so.7 => /lib/libc.so.7 (0x8008c2000)
	    libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x800ae6000)
    % pkg_info -r coreutils-7.5
    Information for coreutils-7.5:

    Depends on:
    Dependency: libiconv-1.13.1_1
    Dependency: gettext-0.17_1
Comment 1 Edwin Groothuis freebsd_committer 2010-04-24 23:40:15 UTC
Maintainer of sysutils/coreutils,

Please note that PR ports/146027 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146027

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-04-24 23:40:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 jharris 2010-04-25 02:59:12 UTC
On Sat, Apr 24, 2010 at 10:40:15PM +0000, Edwin Groothuis wrote:
> Maintainer of sysutils/coreutils,
> 
> Please note that PR ports/146027 has just been submitted.


> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146027


Approved, thanks!

-- 
Jason Harris           |  NIC:  JH329, PGP:  This _is_ PGP-signed, isn't it?
jharris@widomaker.com _|_ web:  http://keyserver.kjsl.com/~jharris/
          Got photons?   (TM), (C) 2004
Comment 4 Mark Linimon freebsd_committer 2010-04-25 09:15:41 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Max Brazhnikov freebsd_committer 2010-04-25 13:38:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 6 dfilter freebsd_committer 2010-04-25 16:31:26 UTC
makc        2010-04-25 15:31:17 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/coreutils   Makefile 
  Log:
  Some utils link with gmp library if exists.
  Add optional dependency on math/gmp and disable gmp support
  properly when it's not needed.
  
  PR:             ports/146027
  Reported by:    Craig Leres <leres at ee.lbl.gov>
  
  Revision  Changes    Path
  1.26      +18 -8     ports/sysutils/coreutils/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2010-04-25 16:32:38 UTC
State Changed
From-To: open->closed

A different patch has been committed. Thanks for report!